#ifndef __background_h__
#define __background_h__

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <stdbool.h>
#include <math.h>
#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>
#include <SDL2/SDL_ttf.h>

#include "breakout.h"
#include "vector.h"

// Prototypes
void BACKGROUND_Initialize(SDL_Renderer * renderer, int width, int height);
void BACKGROUND_Draw(SDL_Renderer * renderer, int index);
void BACKGROUND_Deinitialize();
// End Prototypes

#endif
